# right-align [![NPM version](https://badge.fury.io/js/right-align.svg)](http://badge.fury.io/js/right-align)

> Right-align the text in a string.

## Install with [npm](npmjs.org)

```bash
npm i right-align --save
```

## Usage

```js
var rightAlign = require('right-align');
rightAlign(string);
```

**Example**

If used on the following:

```
Lorem ipsum dolor sit amet,
consectetur adipiscing
elit, sed do eiusmod tempor incididunt
ut labore et dolore
magna aliqua. Ut enim ad minim
veniam, quis
```

The result would be:

```
           Lorem ipsum dolor sit amet,
                consectetur adipiscing
elit, sed do eiusmod tempor incididunt
                   ut labore et dolore
        magna aliqua. Ut enim ad minim
                          veniam, quis
```


## Related projects
* [center-align](https://github.com/jonschlinkert/center-align): Right-align the text in a string.
* [align-text](https://github.com/jonschlinkert/align-text): Align the text in a string.
* [justify](https://github.com/bahamas10/node-justify): Left or right (or both) justify text using a custom width and character
* [word-wrap](https://github.com/jonschlinkert/word-wrap): Wrap words to a specified length.  

## Running tests
Install dev dependencies.

```bash
npm i -d && npm test
```


## Contributing
Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/jonschlinkert/right-align/issues)


## Author

**Jon Schlinkert**
 
+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert) 

## License
Copyright (c) 2015 Jon Schlinkert  
Released under the MIT license

***

_This file was generated by [verb-cli](https://github.com/assemble/verb-cli) on March 07, 2015._
